Bug 836971 - Change of the base of the logarithm by Alt does not remove the automatically entered space
Change of the base of the logarithm by Alt does not remove the automatically ...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-calculator (Show other bugs)
7.0
x86_64 Linux
medium Severity low
: rc
: ---
Assigned To: Alexander Larsson
Desktop QE
:
Depends On: 834314
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 07:15 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 834314
Environment:
Last Closed: 2015-09-03 14:03:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 748729 None None None Never

  None (edit)
Description Martin Simon 2012-07-02 07:15:37 EDT
+++ This bug was initially created as a clone of Bug #834314 +++

Description of problem:
When press the [log] button, gcalctool enters the white space automatically right after "log". If I press the button to write subscript after it, gcalctool automatically removes the space, but when I use the Alt key to do it, gcalctool doesn't remove the the space automatically. This causes the "Malformed expression" error.

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.fc17.i686

How reproducible:
100%

Steps to Reproduce:
1. Press button [log]
2. Hold Alt and press 2 on HW keyboard
3. Release Alt and press e.g. 512
4. Confirm
  
Actual results:
Malformed expression

Expected results:
9

Additional info:
Comment 3 Martin Simon 2013-07-29 04:03:13 EDT
The bug is still present in gnome-calculator-3.8.2-1.el7.x86_64
Comment 4 RHEL Product and Program Management 2014-03-22 03:06:51 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Matthias Clasen 2015-04-30 23:12:16 EDT
Still applies in current releases; I've filed an upstream bug.
Comment 7 Matthias Clasen 2015-09-03 14:03:34 EDT
realistically, the only chance that we're ever going to fix this is if an upstream fix comes in as part of a rebase.

Note You need to log in before you can comment on or make changes to this bug.